Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.opencard.terminal.pcsc10
Class PcscException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.opencard.terminal.pcsc10.PcscException

All Implemented Interfaces:
  java.io.Serializable

    public class PcscException

extends java.lang.Exception

`PcscException` is thrown when any type of error occurs in the PCSC-Interface. The PCSC return code is provided as exception data.

Version:
  $Id: PcscException.java,v 1.1.1.1 2004/04/08 10:29:27 asc Exp $
Author:
  Stephan Breideneich (sbreiden@de.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`PcscException(java.lang.String s)` Constructor accepting a message text
`PcscException(java.lang.String msg, int retCode)` Constructor accepting a message text and the PCSC return code.

Method Summary
`int` | `returnCode()` provides application with PCSC return code.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PcscException

    public PcscException(java.lang.String s)

  Constructor accepting a message text

  Parameters:
    `s` - - exception message

### PcscException

    public PcscException(java.lang.String msg,
                         int retCode)

  Constructor accepting a message text and the PCSC return code.

  Parameters:
    `msg` - - exception message
    `retCode` - - the PCSC return code.
  See Also:
    `Pcsc10Constants`

Method Detail

### returnCode

    public int returnCode()

  provides application with PCSC return code.

  Returns:
    PCSC return code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD